Skip to main content
PATCH
/
product-collections
/
{id}
/
groups
/
{group_id}
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

await client.productCollections.groups.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { id: 'id' });

Documentation Index

Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Product Collection Id

group_id
string<uuid>
required

Product Collection Group Id

Body

application/json
group_name
string | null

Optional group name update: Some(Some(name)) = set name, Some(None) = clear name, None = no change

product_order
string<uuid>[] | null

Optional new order for products in this group (array of product_collection_group_pdts UUIDs)

status
boolean | null

Optional status update

Response

Group updated successfully

Last modified on May 21, 2026